## UDisksLinuxNVMeNamespace

UDisksLinuxNVMeNamespace — Linux implementation of UDisksNVMeNamespace

## Functions

UDisksNVMeNamespace * | udisks_linux_nvme_namespace_new ()
void | udisks_linux_nvme_namespace_update ()

## Types and Values

| UDisksLinuxNVMeNamespace

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksNVMeNamespaceSkeleton
                ╰── UDisksLinuxNVMeNamespace

## Implemented Interfaces

UDisksLinuxNVMeNamespace implements GDBusInterface and UDisksNVMeNamespace.

## Description

This type provides an implementation of the UDisksNVMeNamespace interface on Linux.

## Functions

### udisks_linux_nvme_namespace_new ()

    UDisksNVMeNamespace *
    udisks_linux_nvme_namespace_new (void);

Creates a new UDisksLinuxNVMeNamespace instance.

#### Returns

A new UDisksLinuxNVMeNamespace. Free with `g_object_unref()`.

### udisks_linux_nvme_namespace_update ()

    void
    udisks_linux_nvme_namespace_update (UDisksLinuxNVMeNamespace *ns,
                                        UDisksLinuxBlockObject *object);

Updates the interface.

#### Parameters

ns | A UDisksLinuxNVMeNamespace. |
object | The enclosing UDisksLinuxBlockObject instance. |

## Types and Values

### UDisksLinuxNVMeNamespace

    typedef struct _UDisksLinuxNVMeNamespace UDisksLinuxNVMeNamespace;

The UDisksLinuxNVMeNamespace structure contains only private data and should only be accessed using the provided API.